package com.oo.eye.bean;


import com.app.baselibrary.bean.BaseBean;

/**
 * Created by henry  16/1/30.
 */
public class Student extends BaseBean {
    private String sid;
    private String uid;
    private String school;
    private String grade;
    private String classes;
    private String status;
    private String realname;
    private String number;
    private double left_eye;
    private double right_eye;
    private String url;
    private String pid;
    private int distance;//测量距离

    public String getSid() {
        return sid;
    }

    public void setSid(String sid) {
        this.sid = sid;
    }

    public String getUid() {
        return uid;
    }

    public void setUid(String uid) {
        this.uid = uid;
    }

    public String getSchool() {
        return school;
    }

    public void setSchool(String school) {
        this.school = school;
    }

    public String getGrade() {
        return grade;
    }

    public void setGrade(String grade) {
        this.grade = grade;
    }

    public String getClasses() {
        return classes;
    }

    public void setClasses(String classes) {
        this.classes = classes;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getRealname() {
        return realname;
    }

    public void setRealname(String realname) {
        this.realname = realname;
    }

    public String getNumber() {
        return number;
    }

    public void setNumber(String number) {
        this.number = number;
    }

    public double getLeft_eye() {
        return left_eye;
    }

    public void setLeft_eye(double left_eye) {
        this.left_eye = left_eye;
    }

    public double getRight_eye() {
        return right_eye;
    }

    public void setRight_eye(double right_eye) {
        this.right_eye = right_eye;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public void setPid(String pid) {
        this.pid = pid;
    }

    public String getPid() {
        return pid;
    }

    public int getDistance() {
        return distance;
    }

    public void setDistance(int distance) {
        this.distance = distance;
    }

    public Student copy(){
        Student student = new Student();
        student.setSid(this.sid);
        student.setPid(this.pid);
        student.setClasses(this.classes);
        student.setGrade(this.grade);
        student.setNumber(this.number);
        student.setRealname(this.realname);
        student.setSchool(this.school);
        student.setStatus(this.status);
        student.setUid(this.uid);
        student.setUrl(this.url);
        student.setLeft_eye(this.left_eye);
        student.setRight_eye(this.right_eye);
        student.setDistance(this.distance);
        return student;
    }

    public Student transition(int measureDis){
        Student student = new Student();
        student.setSid(this.sid);
        student.setPid(this.pid);
        student.setClasses(this.classes);
        student.setGrade(this.grade);
        student.setNumber(this.number);
        student.setRealname(this.realname);
        student.setSchool(this.school);
        student.setStatus(this.status);
        student.setUid(this.uid);
        student.setUrl(this.url);
        student.setLeft_eye(this.left_eye);
        student.setRight_eye(this.right_eye);
        student.setDistance(measureDis);
        return student;
    }
}
